BackportTranslations (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.buildutil.translate, class: BackportTranslations

# Class BackportTranslations

java.lang.Object
org.apache.tomcat.buildutil.translate.BackportBase
org.apache.tomcat.buildutil.translate.BackportTranslations

public class BackportTranslations extends BackportBase
Generates a set of translated property files to back-port updates to a previous version. If the source and target use the same value for the English key then any translated value for that key is copied from the source to the target.

- ## Field Summary

  ### Fields inherited from class BackportBase

  `sourceEnglish, sourceTranslations, storageDir, targetEnglish, targetRoot, targetTranslations`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BackportTranslations(String[] args)`
  Constructs a BackportTranslations instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `execute()`
  Executes the back-port operation.
  `static void`
  `main(String... args)`
  Entry point for the translations back-port tool.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackportTranslations

    protected BackportTranslations(String[] args) throws IOException
    Constructs a BackportTranslations instance.
    Parameters:
      `args` - command line arguments; a single argument specifying the target directory
    Throws:
      `IOException` - if an I/O error occurs

- ## Method Details

  - ### main

    public static void main(String... args) throws IOException
    Entry point for the translations back-port tool.
    Parameters:
      `args` - command line arguments; a single argument specifying the target directory
    Throws:
      `IOException` - if an I/O error occurs

  - ### execute

    protected void execute() throws IOException
    Description copied from class: `BackportBase`
    Executes the back-port operation.
    Specified by:
      `execute` in class `BackportBase`
    Throws:
      `IOException` - if an I/O error occurs